## YAML Template.
---
AttendanceRecord:
  0: {id: 1, employee_id: 1, punch_in_utc_time: '2011-05-27 12:10:00', punch_in_note: 'Im punched In',punch_in_time_offset: 'Asia/Calcutta',punch_in_user_time: '2011-05-27 12:10:00',punch_out_utc_time: '2011-05-27 12:10:00',punch_out_note: ' Punched Out',punch_out_time_offset: 'Asia/Calcutta',punch_out_user_time: '2011-05-27 12:10:00', state: 'PUNCHED IN'}
  1: {id: 2, employee_id: 2, punch_in_utc_time: '2011-04-20 1:10:00', punch_in_note: 'Im punched In',punch_in_time_offset: 'Asia/Calcutta',punch_in_user_time: '2011-04-20 1:10:00',punch_out_utc_time: '2011-04-20 5:10:00',punch_out_note: ' Punched Out',punch_out_time_offset: 'Asia/Calcutta',punch_out_user_time: '2011-04-20 5:10:00', state: 'PUNCHED IN'}
  2: {id: 3, employee_id: 3, punch_in_utc_time: '2011-04-20 1:10:00', punch_in_note: 'Im punched In',punch_in_time_offset: 'Asia/Calcutta',punch_in_user_time: '2011-04-20 1:10:00',punch_out_utc_time: '2011-04-20 5:10:00',punch_out_note: ' Punched Out',punch_out_time_offset: 'Asia/Calcutta',punch_out_user_time: '2011-04-20 5:10:00', state: 'PUNCHED OUT'}
  3: {id: 4, employee_id: 4, punch_in_utc_time: '2011-04-02 5:10:00', punch_in_note: 'Im punched In',punch_in_time_offset: 'Asia/Calcutta',punch_in_user_time: '2011-04-02 17:10:00',punch_out_utc_time: '2011-04-02 5:10:00',punch_out_note: ' Punched Out',punch_out_time_offset: 'Asia/Calcutta',punch_out_user_time: '2011-04-02 5:10:00', state: 'PUNCHED OUT'}
  4: {id: 5, employee_id: 5, punch_in_utc_time: '2011-06-10 15:30:00', punch_in_note: 'Im punched In',punch_in_time_offset: 'Asia/Calcutta',punch_in_user_time: '2011-06-10 15:25:00',punch_out_utc_time: '2011-06-10 15:45:00',punch_out_note: ' Punched Out',punch_out_time_offset: 'Asia/Calcutta',punch_out_user_time: '2011-06-10 15:45:00', state: 'PUNCHED IN'}
  5: {id: 6, employee_id: 5, punch_in_utc_time: '2011-05-26 12:10:00', punch_in_note: 'Im punched In',punch_in_time_offset: 'Asia/Calcutta',punch_in_user_time: '2011-06-10 15:26:00',punch_out_utc_time: '2011-05-27 13:10:00',punch_out_note: ' Punched Out',punch_out_time_offset: 'Asia/Calcutta',punch_out_user_time: '2011-06-10 15:42:00', state: 'PUNCHED IN'}
  6: {id: 7, employee_id: 5, punch_in_utc_time: '2011-04-02 5:10:00', punch_in_note: 'Im punched In',punch_in_time_offset: 'Asia/Calcutta',punch_in_user_time: '2011-04-02 1:10:00',punch_out_utc_time: '2011-04-06 5:10:00',punch_out_note: ' Punched Out',punch_out_time_offset: 'Asia/Calcutta',punch_out_user_time: '2011-04-06 5:10:00', state: 'PUNCHED OUT'}
  7: {id: 8, employee_id: 5, punch_in_utc_time: '2011-12-12 12:10:00', punch_in_note: 'Im punched In',punch_in_time_offset: '5.5',punch_in_user_time: '2011-12-12 15:26:00',punch_out_utc_time: '2012-12-12 13:10:00',punch_out_note: ' Punched Out',punch_out_time_offset: '5.5',punch_out_user_time: '2012-12-12 16:42:00', state: 'PUNCHED OUT'}
  8: {id: 9, employee_id: 5, punch_in_utc_time: '2012-12-21 5:10:00', punch_in_note: 'Im punched In',punch_in_time_offset: '-9',punch_in_user_time: '2012-12-21 01:10:00',punch_out_utc_time: '2012-12-21 9:10:00',punch_out_note: ' Punched Out',punch_out_time_offset: '5.5',punch_out_user_time: '2012-12-21 23:10:00', state: 'PUNCHED OUT'}
  9: {id: 10, employee_id: 5, punch_in_utc_time: '2011-12-12 23:10:00', punch_in_note: 'Im punched In',punch_in_time_offset: '5.5',punch_in_user_time: '2011-12-12 19:26:00',punch_out_utc_time: '2012-12-12 23:40:00',punch_out_note: ' Punched Out',punch_out_time_offset: '5.5',punch_out_user_time: '2012-12-12 17:42:00', state: 'PUNCHED OUT'}
  10: {id: 11, employee_id: 5, punch_in_utc_time: '2012-02-28 23:10:00', punch_in_note: 'Im punched In',punch_in_time_offset: '6.5',punch_in_user_time: '2012-02-28 23:46:00',punch_out_utc_time: '2012-02-29 13:40:00',punch_out_note: ' Punched Out',punch_out_time_offset: '5.5',punch_out_user_time: '2012-02-29 17:42:00', state: 'PUNCHED OUT'}

WorkflowStateMachine:
  0: {id: 1, workflow: Attendance, state: 'CREATED', role: 'ESS USER',action: 'EDIT',resulting_state: 'CREATED'}
  1: {id: 2, workflow: Attendance, state: 'PUNCHED IN', role: 'ESS USER',action: 'EDIT',resulting_state: 'PUNCHED IN'}